# https://github.com/kupferlauncher/keybinder/releases/download/keybinder-3.0-v0.3.2/keybinder-3.0-0.3.2.tar.gz

%define srcname keybinder
%define api     3.0
%define major   0
%define gmajor  3.0
%define libname %mklibname %{srcname} %{api} %{major}
%define girname %mklibname %{srcname}-gir %{gmajor}
%define develname %mklibname -d %{srcname} %{api}

Name:           keybinder3
Version:        0.3.2
Release:        %mkrel 2
Summary:        A library for registering global keyboard shortcuts
License:        X11 License
Group:          System/Libraries
Url:            https://github.com/engla/keybinder/tree/keybinder-3.0
Source0:        %{srcname}-%{api}-%{version}.tar.xz

BuildRequires:  lib64girepository-devel
BuildRequires:  lib64gtk+3.0-devel
BuildRequires:  libpthread-stubs
BuildRequires:  wayland-protocols-devel

%description
%{summary}.

%package -n %{libname}
Group:          System/Libraries
Summary:        %{name} library package
Obsoletes:      lib64keybinder-gir3.0

%description -n %{libname}
%{summary}.

%package -n %{develname}
Group:          Development/Libraries
Summary:        %{name} developement files
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
This package contains header files for %{name}.

%prep
%setup -qn %{srcname}-%{api}-%{version}

%build
%configure2_5x \
  --disable-static \
  --enable-introspection=yes
%make_build

%install
rm -rf %buildroot
%makeinstall_std
find %{buildroot} -type f -regex ".*\.\(a\|la\)$" -delete

%files
%doc AUTHORS COPYING NEWS README
%doc %{_datadir}/gtk-doc/html/%{srcname}-%{api}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libkeybinder-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Keybinder-%{gmajor}.typelib

%files -n %{develname}
%{_includedir}/%{srcname}-%{api}
%{_libdir}/libkeybinder-%{api}.so
%{_libdir}/pkgconfig/keybinder-%{api}.pc
%{_datadir}/gir-1.0/Keybinder-%{gmajor}.gir

%changelog
* Sat Mar 17 2018 bb2 <bb2> - 0.3.2-2pclos2018
- drop gir subpackage
- make it upgrade over the old packages

* Thu Mar 08 2018 marcin82 <fixxer1982 at gmail.com> 0.3.2-1pclos2018
- initial build for PCLinuxOS
